package meerkat.bulletinboard.workers.singleserver;

import meerkat.protobuf.BulletinBoardApi.BulletinBoardMessage;

import static meerkat.bulletinboard.BulletinBoardConstants.POST_MESSAGE_PATH;

/**
 * Created by Arbel Deutsch Peled on 27-Dec-15.
 * Tries to contact server once and perform a post operation
 */
public class SingleServerPostMessageWorker extends SingleServerGenericPostWorker<BulletinBoardMessage> {

    public SingleServerPostMessageWorker(String serverAddress, BulletinBoardMessage payload, int maxRetry) {
        super(serverAddress, POST_MESSAGE_PATH, payload, maxRetry);
    }

}
